# Struct alsa_sys::snd_mixer_selem_regopt [−] [src]

    #[repr(C)]
    pub struct snd_mixer_selem_regopt {
        pub ver: c_int,
        pub _abstract: snd_mixer_selem_regopt_abstract,
        pub device: *const c_char,
        pub playback_pcm: *mut snd_pcm_t,
        pub capture_pcm: *mut snd_pcm_t,
    }

## Fields

`ver: c_int` `_abstract: snd_mixer_selem_regopt_abstract` `device: *const c_char` `playback_pcm: *mut snd_pcm_t` `capture_pcm: *mut snd_pcm_t`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)